package com.bonus.material.iot.service;

import java.util.List;
import com.bonus.material.iot.domain.IotMachineBind;

/**
 * 设备类型绑定Service接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface IIotMachineBindService {
    /**
     * 查询设备类型绑定
     * 
     * @param id 设备类型绑定主键
     * @return 设备类型绑定
     */
    public IotMachineBind selectIotMachineBindById(Long id);

    /**
     * 查询设备类型绑定列表
     * 
     * @param iotMachineBind 设备类型绑定
     * @return 设备类型绑定集合
     */
    public List<IotMachineBind> selectIotMachineBindList(IotMachineBind iotMachineBind);

    /**
     * 新增设备类型绑定
     * 
     * @param iotMachineBind 设备类型绑定
     * @return 结果
     */
    public int insertIotMachineBind(IotMachineBind iotMachineBind);

    /**
     * 修改设备类型绑定
     * 
     * @param iotMachineBind 设备类型绑定
     * @return 结果
     */
    public int updateIotMachineBind(IotMachineBind iotMachineBind);

    /**
     * 批量删除设备类型绑定
     * 
     * @param ids 需要删除的设备类型绑定主键集合
     * @return 结果
     */
    public int deleteIotMachineBindByIds(Long[] ids);

    /**
     * 删除设备类型绑定信息
     * 
     * @param id 设备类型绑定主键
     * @return 结果
     */
    public int deleteIotMachineBindById(Long id);
}
